summaryrefslogtreecommitdiffstats
path: root/libraries/libosip2
diff options
context:
space:
mode:
author adev <adev@linuxmail.org>2010-05-11 22:54:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:12 +0200
commit7fb903b94c092c731dca7d18dd37886794e6cf46 (patch)
tree6a192ad298071dfddeb0239ad47566076d5d7260 /libraries/libosip2
parent00bedc57b289036eb9736a32b433f7aa102a9006 (diff)
downloadslackbuilds-7fb903b94c092c731dca7d18dd37886794e6cf46.tar.gz
slackbuilds-7fb903b94c092c731dca7d18dd37886794e6cf46.tar.xz
libraries/libosip2: Added to 12.1 repository
Diffstat (limited to 'libraries/libosip2')
-rw-r--r--libraries/libosip2/README9
-rw-r--r--libraries/libosip2/libosip2.SlackBuild68
-rw-r--r--libraries/libosip2/libosip2.info8
-rw-r--r--libraries/libosip2/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/libraries/libosip2/README b/libraries/libosip2/README
new file mode 100644
index 0000000000..19f33b6f1b
--- /dev/null
+++ b/libraries/libosip2/README
@@ -0,0 +1,9 @@
+oSIP is an implementation of SIP. This library aims to provide
+multimedia and telecom software developers an easy and powerful
+interface to initiate and control SIP based sessions in their
+applications. oSIP is little in size and code and thus could be
+used to implement IP soft-phone as well as embedded SIP
+software. oSIP does not intend to provide a high layer API for
+controlling "SIP Session" at this step. Instead, it currently
+provides an API for the SIP message parser, SDP message parser,
+and library to handle "SIP transactions."
diff --git a/libraries/libosip2/libosip2.SlackBuild b/libraries/libosip2/libosip2.SlackBuild
new file mode 100644
index 0000000000..de45f9d735
--- /dev/null
+++ b/libraries/libosip2/libosip2.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/bash
+
+# Slackware build script for libosip2
+
+PRGNAM=libosip2
+VERSION=${VERSION:-3.2.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-static \
+ --enable-gperf \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+DOCS="AUTHORS BUGS COPYING ChangeLog FEATURES HISTORY \
+ INSTALL NEWS README TODO $CWD/$PRGNAM.SlackBuild"
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libosip2/libosip2.info b/libraries/libosip2/libosip2.info
new file mode 100644
index 0000000000..a902a79bbd
--- /dev/null
+++ b/libraries/libosip2/libosip2.info
@@ -0,0 +1,8 @@
+PRGNAM="libosip2"
+VERSION="3.2.0"
+HOMEPAGE="http://www.gnu.org/software/osip/"
+DOWNLOAD="http://ftp.gnu.org/gnu/osip/libosip2-3.2.0.tar.gz"
+MD5SUM="459c21f11066be46fe6ea24de438bd40"
+MAINTAINER="adev"
+EMAIL="adev@linuxmail.org"
+APPROVED="dsomero"
diff --git a/libraries/libosip2/slack-desc b/libraries/libosip2/slack-desc
new file mode 100644
index 0000000000..2ebbb137f6
--- /dev/null
+++ b/libraries/libosip2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+libosip2: libosip2 (The GNU oSIP library)
+libosip2:
+libosip2: oSIP is an implementation of SIP. This library aims to provide
+libosip2: multimedia and telecom software developers an easy and powerful
+libosip2: interface to initiate and control SIP based sessions in their
+libosip2: applications. oSIP is little in size and code and thus could be
+libosip2: used to implement IP soft-phone as well as embedded SIP
+libosip2: software. oSIP does not intend to provide a high layer API for
+libosip2: controlling "SIP Session" at this step. Instead, it currently
+libosip2: provides an API for the SIP message parser, SDP message parser,
+libosip2: and library to handle "SIP transactions."